Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157145 - error: unpacking of archive failed on file /boot/vmlinuz-2.6.11-1.1287_FC4;427cd833: cpio: write
Summary: error: unpacking of archive failed on file /boot/vmlinuz-2.6.11-1.1287_FC4;42...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cpio
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-07 15:16 UTC by Clyde E. Kunkel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-10 15:03:17 UTC


Attachments (Terms of Use)

Description Clyde E. Kunkel 2005-05-07 15:16:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Fedora/1.0.3-4 Firefox/1.0.3

Description of problem:
Note:  This is probably not a cpio problem, but didn't know where to report this.

During yum update from rawhide, got the following during the installation phase:

Running Transaction
  Installing: kernel                       ######################### [1/3]
error: unpacking of archive failed on file /boot/vmlinuz-2.6.11-1.1287_FC4;427cd833: cpio: write
  Installing: kernel-xenU                  ######################### [2/3]
error: unpacking of archive failed on file /boot/vmlinuz-2.6.11-1.1287_FC4xenU;427cd833: cpio: write
  Installing: kernel-smp                   ######################### [3/3]
error: unpacking of archive failed on file /boot/System.map-2.6.11-1.1287_FC4smp;427cd833: cpio: write

Installed: kernel.i686 0:2.6.11-1.1287_FC4 kernel-smp.i686 0:2.6.11-1.1287_FC4 kernel-xenU.i686 0:2.6.11-1.1287_FC4
Complete!


Only the xen0 kernel was installed.  Saw that the system maps for 2.6.11-1.1287_FC4; 2.6.11-1.1287_FC4smp; and 2.6.11-1.1287_FC4xenU were installed, however the only kernel installed was the xenU kernel.  

Deleted the system.maps and reran with same results.

Ran yum clean packages and reran with same results.

Version-Release number of selected component (if applicable):
cpio-2.6-6

How reproducible:
Always

Steps to Reproduce:
1.yum -y update
2.
3.
  

Actual Results:  Error as described above.

Expected Results:  Normal install of kernels.

Additional info:

Comment 1 Peter Vrabec 2005-05-10 08:31:07 UTC
Do you have enought free disk space on /boot?

Could you try to download packages and install them manualy rpm -U packge.



Comment 2 Clyde E. Kunkel 2005-05-10 15:03:17 UTC
My bad...boot partition was full.  NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.